PDF::API2::Resource::ColorSpace(3p)

NAME
PDF::API2::Resource::ColorSpace - Base class for PDF color spaces

METHODS

$cs = PDF::API2::Resource::ColorSpace->new $pdf, $key, %parameters
    Returns a new colorspace object. base class for all colorspaces.

$name = $res->name $name
    Returns or sets the Name of the resource.

@param = $cs->param @param
    Returns properly formatted color-parameters based on the colorspace.